Printago API
GET
/v1/linked-parts/{id}
Get a specific linked part by ID
Path Parameters
id
required
string
- Linked part identifier
Response Schema
LinkedPart
createdAtrequired
string
format: date-time
exposedParametersrequired
string[]
extensionsoptionalnullable
object
3mfoptional
object
plateLabelsoptional
Record<string, string>
plateQuantitiesrequired
Record<string, number>
skipObjectsoptional
Record<string, string[]>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
labelrequired
string
materialAssignmentsoptionalnullable
Record<string, object[]>
Construct a type with a set of properties K of type T
parameterBindingsoptionalnullable
Record<string, string>
Construct a type with a set of properties K of type T
parametersrequired
object[]
namerequired
string
typerequired
"number" | "string" | "boolean" | "file"
numberstringbooleanfile
valueoptional
number | string | boolean
partIdrequired
string
pattern: ^[a-z0-9]{24}$
plateQuantitiesBindingoptionalnullable
string
quantityrequired
number
min: 0max: 500
sequenceBindingsoptionalnullable
Record<string, string>
Construct a type with a set of properties K of type T
skuIdrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"skuId": "string",
"partId": "string",
"parameters": [
{
"name": "string",
"type": "number",
"value": 1
}
],
"quantity": 0,
"label": "string",
"exposedParameters": [
"string"
],
"materialAssignments": {},
"extensions": {
"3mf": {
"skipObjects": {},
"plateQuantities": {},
"plateLabels": {}
}
},
"parameterBindings": {},
"sequenceBindings": {},
"plateQuantitiesBinding": "string",
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}